### Method

# Vte Terminal set_colors

#### Declaration [src]

    void
    vte_terminal_set_colors (
      VteTerminal* terminal,
      const GdkRGBA* foreground,
      const GdkRGBA* background,
      const GdkRGBA* palette,
      gsize palette_size
    )

#### Description [src]

`palette` specifies the new values for the 256 palette colors: 8 standard colors, their 8 bright counterparts, 6x6x6 color cube, and 24 grayscale colors. Omitted entries will default to a hardcoded value.

`palette_size` must be 0, 8, 16, 232 or 256.

If `foreground` is `NULL` and `palette_size` is greater than 0, the new foreground color is taken from `palette`[7]. If `background` is `NULL` and `palette_size` is greater than 0, the new background color is taken from `palette`[0].

#### Parameters

`foreground`

  Type: `GdkRGBA`

  The new foreground color, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`background`

  Type: `GdkRGBA`

  The new background color, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`palette`

  Type: An array of `GdkRGBA*`

  The color palette.

  The argument can be `NULL`.
  The length of the array is specified in the `palette_size` argument.
  The data is owned by the caller of the method.

`palette_size`

  Type: `gsize`

  The number of entries in `palette`.